import {Injectable} from '@angular/core';
import {HttpClient, HttpResponse} from "@angular/common/http";
import {Observable} from "rxjs";

@Injectable({
  providedIn: 'root'
})
export class JsonTransformService {
  private url: string = "https://localhost:5001";

  constructor(private http: HttpClient) {
  }

  public prettify(source: string): Observable<HttpResponse<any>> {
    return this.http.post(`${this.url}/api/transform/prettify`, {source: source}, {observe: "response"});
  }

  public uglify(source: string): Observable<HttpResponse<any>> {
    return this.http.post(`${this.url}/api/transform/uglify`, {source: source}, {observe: "response"});
  }

  public json2csharp(source: string): Observable<HttpResponse<any>> {
    return this.http.post(`${this.url}/api/transform/json2csharp`, {source: source}, {observe: "response"});
  }
}
