import {Component} from '@angular/core';
import {JsonTransformService} from "../json-transform.service";
import {InputOutputComponent} from "../input-output/input-output.component";

@Component({
  selector: 'app-uglify',
  standalone: true,
  imports: [
    InputOutputComponent
  ],
  templateUrl: './uglify.component.html',
  styleUrl: './uglify.component.scss'
})
export class UglifyComponent {
  input: string = JSON.stringify({first_name: "John", last_name: "Doe"}, null, 2);
  inputOptions = {theme: 'vs-dark', language: 'json', readOnly: false};
  output: string = JSON.stringify({first_name: "John", last_name: "Doe"});
  outputOptions = {theme: 'vs-dark', language: 'json', readOnly: true};

  constructor(private service: JsonTransformService) {
  }

  handleInputChange($event: any) {
    console.log($event);
    this.service
      .uglify($event)
      .subscribe({
        next: response => {
          console.log(response);
          this.output = response.body.result;
        },
        error: response => {
          console.log(response)
          if (response.status === 499) {
            this.output = response.error.detail;
            console.log(response.error.detail);
          }
        }
      });
  }
}
